Description: testsuite/vhpi: fix prototypes
Author: Tristan Gingold <tgingold@free.fr>
Origin: upstream, https://github.com/ghdl/ghdl/commit/9e7a317cea2473a31e18f63b9392912b7da8e63d
Last-Update: 2024-07-29
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
diff --git a/testsuite/vhpi/004trace_stdout/vhpi_lib.c b/testsuite/vhpi/004trace_stdout/vhpi_lib.c
index 1bc1fca00..df44f1e39 100644
--- a/testsuite/vhpi/004trace_stdout/vhpi_lib.c
+++ b/testsuite/vhpi/004trace_stdout/vhpi_lib.c
@@ -23,7 +23,7 @@ void my_startup()
   time.high = 0;
   time.low = 0;
 
-  vhpi_register_cb(&cb_data, NULL);
+  vhpi_register_cb(&cb_data, 0);
 }
 
 void (*vhpi_startup_routines[]) () =
diff --git a/testsuite/vhpi/005trace_file/vhpi_lib.c b/testsuite/vhpi/005trace_file/vhpi_lib.c
index 66ce5e115..a0444c3f0 100644
--- a/testsuite/vhpi/005trace_file/vhpi_lib.c
+++ b/testsuite/vhpi/005trace_file/vhpi_lib.c
@@ -21,7 +21,7 @@ void my_startup()
   time.high = 0;
   time.low = 0;
 
-  vhpi_register_cb(&cb_data, NULL);
+  vhpi_register_cb(&cb_data, 0);
 }
 
 void (*vhpi_startup_routines[]) () =
